/* stylelint-disable docusaurus/copyright-header */
/**
 * Any CSS included here will be global. The classic template
 * bundles Infima by default. Infima is a CSS framework designed to
 * work well for content-centric websites.
 */

/* You can override the default Infima variables here. */
:root {
  --ifm-color-primary: #6344ff;
  --ifm-color-primary-dark: #4824ff;
  --ifm-color-primary-darker: #3b14ff;
  --ifm-color-primary-darkest: #2500e2;
  --ifm-color-primary-light: #7e64ff;
  --ifm-color-primary-lighter: #8b74ff;
  --ifm-color-primary-lightest: #b4a5ff;
  --ifm-code-font-size: 95%;
}

.docusaurus-highlight-code-line {
  background-color: #6344ff;
  display: block;
  margin: 0 calc(-1 * var(--ifm-pre-padding));
  padding: 0 var(--ifm-pre-padding);
}

.navbar {
    box-shadow: 0 0px 10px rgba(0,0,0,0.1);
}

.navbar .react-toggle {
    display: none;
}

.hero {
  background: url(../../static/img/hero-banner.jpg);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.hero__title, .hero__subtitle {
    color: #fff;
}

.hero .container .button {
    background-color: #6344ff;
    color: #fff !important;
    border: 2px solid #6344ff;
    border-radius: 50px;
    padding: 9px 50px;
}

.hero .container .button:hover {
    background: #fff;
    color: #6344ff !important;
}

.footer.footer--dark {
    background-color: #000 !important;
}

.footer__link-item, .footer__title, .footer .text--center div {
    color: #999;
}

.footer__link-item:hover {
    color: #fff;
    text-decoration: none;
}

/* Inner pages */

[class*="docSidebarContainer_"] {
    border: none;
    background: #242729;
}

.menu__link {
    color: #ccc;
    padding: 8px 14px;
    border-radius: 0;
}

.menu__link:hover {
    text-decoration: none;
    background-color: transparent !important;
    color: #fff !important;
}

.menu__link--sublist:after {
  filter: invert(1);
}

.menu__link.menu__link--sublist.menu__link--active {
    font-weight: bold;
    color: #fff;
    border-left: 4px solid #6344ff;
    padding-left: 10px;
}

.menu__link--active:not(.menu__link--sublist) {
    background: transparent !important;
    color: #7e64ff !important;
}

[class*="docMainContainer_"] {
    background: #eee;
}

[class*="docMainContainer_"] [class*="docItemContainer_"] {
    background: #fff;
    padding: 25px;
    border-radius: 20px;
    box-shadow: 0 6px 10px rgb(0 0 0 / 10%);
}

.pagination-nav {
    border-top: 2px solid #e6e6e6;
    padding-top: 30px;
}

.pagination-nav .pagination-nav__link {
    padding: 0;
    border: none;
}

:hover>.hash-link {
    opacity: 0;
}

.table-of-contents__link,
[class*="docMainContainer_"] [class*="docItemContainer_"] h1,
.markdown>h3,
.markdown>p,
.markdown>pre,
.markdown>ul {
    color: #1c1e21;
}

html[data-theme=dark] .menu__link--sublist:after {
    -webkit-filter: invert(0);
    filter: invert(0);
}

/* Home content */
.main-wrapper {
    background: #f5f8fa;
}

.features-main .col a {
    display: block;
    background: #fff;
    border-radius: 3px;
    border: 1px solid #eaf0f6;
    text-align: center;
    padding: 40px 20px;
    margin-bottom: 30px;
    -webkit-transition: all 0.2s;
	-moz-transition: all 0.2s;
	-ms-transition: all 0.2s;
	-o-transition: all 0.2s;
	transition: all 0.2s;
}

.features-main .col a:hover {
    box-shadow: 0 6px 10px rgb(0 0 0 / 10%);
    text-decoration: none;
    -webkit-transition: all 0.2s;
	-moz-transition: all 0.2s;
	-ms-transition: all 0.2s;
	-o-transition: all 0.2s;
	transition: all 0.2s;
}

.features-main .col a .text--center {
    text-align: center;
    background: #000;
    display: inline-block;
    padding: 20px;
    line-height: 0;
    border-radius: 100px;
    box-shadow: 5px 5px 0 #6344ff;
    margin-bottom: 30px;
    margin-left: -2.5px;
}

.features-main .col a .text--center img {
    height: 60px;
    width: 60px;
    margin: 0;
    padding: 0;
}

.features-main .col a h3 {
    font-size: 22px;
    color: #2d3e50;
    text-decoration: none;
    margin: 0;
}

.features-main .col a:hover h3 {
    text-decoration: none;
}

.prism-code {
    counter-reset: line-number;
  }
  
.prism-code .token-line::marker {
    color: var(--ifm-color-gray-700);
    content: counter(line-number);
}
  
.prism-code .token-line {
    counter-increment: line-number;
    display: list-item;
    padding-left: var(--ifm-pre-padding);
    margin-left: var(--ifm-global-spacing);
}
